Bug 849637 - CVE-2012-3403 CVE-2012-3481 gimp various flaws [fedora-all]
CVE-2012-3403 CVE-2012-3481 gimp various flaws [fedora-all]
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gimp (Show other bugs)
16
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2012-3481 CVE-2012-3403
  Show dependency treegraph
 
Reported: 2012-08-20 08:16 EDT by Jan Lieskovsky
Modified: 2012-09-01 20:25 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-28 19:28:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-08-20 08:16:48 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include this bug ID and the
bug IDs of this bug's parent bugs filed against the "Security Response"
product (the top-level CVE bugs).  Please mention the CVE IDs being fixed
in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=727800

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.


[bug automatically created by: add-tracking-bugs]
Comment 1 Jan Lieskovsky 2012-08-20 08:17:26 EDT
Adding parent bug CVE-2012-3403
New bodhi update url:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=727800,839020
Comment 2 Jan Lieskovsky 2012-08-20 08:17:54 EDT
Adding parent bug CVE-2012-3481
New bodhi update url:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=727800,839020,847303
Comment 3 Tomas Hoger 2012-08-20 08:28:12 EDT
CVE-2011-2896 was previously fixed in Fedora:

http://pkgs.fedoraproject.org/cgit/gimp.git/commit/?h=f16&id=27bebf13f8348147e145a740be73cfa36f43c0f6

It seems we've already rebased to upstream version that has the patch, as the patch was dropped form srpm in rebase to 2.6.12.
Comment 4 Jan Lieskovsky 2012-08-20 08:33:12 EDT
(In reply to comment #3)
> CVE-2011-2896 was previously fixed in Fedora:
> 
> http://pkgs.fedoraproject.org/cgit/gimp.git/commit/
> ?h=f16&id=27bebf13f8348147e145a740be73cfa36f43c0f6
> 
> It seems we've already rebased to upstream version that has the patch, as
> the patch was dropped form srpm in rebase to 2.6.12.

Thanks, Tomas. Confirmed by Nils too. Removing the CVE-2011-2896 bug from the list.
Comment 5 Fedora Update System 2012-08-20 23:52:43 EDT
gimp-2.6.12-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/gimp-2.6.12-2.fc16
Comment 6 Fedora Update System 2012-08-20 23:52:45 EDT
gimp-2.8.0-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/gimp-2.8.0-3.fc17
Comment 7 Fedora Update System 2012-08-21 05:52:55 EDT
Package gimp-2.6.12-2.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gimp-2.6.12-2.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-12364/gimp-2.6.12-2.fc16
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2012-08-28 19:28:33 EDT
gimp-2.8.2-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2012-09-01 20:25:18 EDT
gimp-2.6.12-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.